#!/bin/bash

set -e

# Run the script with /usr/bin/python to use the correct interpreter,
# the script shebang can be overwritten during the debian build.
exec /usr/bin/python3 /usr/bin/llqueue_kafka_worker.py \
    --config-file "${WRITABLE_BASE_DIR}/etc/lastline/llqueue.ini" \
    --llmonitoring-source llqueue_kafka \
    "${WORKER_CLASS}" "${WORKER_TOPIC}"
